import Vue from 'vue'
import Router from 'vue-router'
import Home from './views/Home.vue'

Vue.use(Router)

export default new Router({
  //mode: 'history',
  base: process.env.BASE_URL,
  routes: [
    {
      path: '/',
      name: 'home',
      component: Home
    },
    {
      path: '/station',
      name: 'station',
      component: () => import(/* webpackChunkName: "station" */ './views/station.vue')
    },
    {
      path: '/base',
      name: 'base',
      component: () => import(/* webpackChunkName: "base" */ './views/base.vue')
    }
  ]
})
